package com.oguerreiro.resilient.activities.inputDataImporter.importers;

import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

import com.oguerreiro.resilient.domain.enumeration.UploadType;
import com.oguerreiro.resilient.repository.EmissionFactorRepository;
import com.oguerreiro.resilient.repository.InputDataRepository;
import com.oguerreiro.resilient.repository.InputDataUploadLogRepository;
import com.oguerreiro.resilient.repository.OrganizationRepository;
import com.oguerreiro.resilient.repository.UnitRepository;
import com.oguerreiro.resilient.repository.VariableRepository;

@Component
public class EnergyPOIFileImporterTaskImpl extends AbstractGlobalPOIFileImporterTaskImpl {

  public EnergyPOIFileImporterTaskImpl(VariableRepository variableRepository,
      InputDataUploadLogRepository inputDataUploadLogRepository, InputDataRepository inputDataRepository,
      UnitRepository unitRepository, EmissionFactorRepository emissionFactorRepository,
      OrganizationRepository organizationRepository, ApplicationContext applicationContext) {
    super(variableRepository, inputDataUploadLogRepository, inputDataRepository, unitRepository,
        emissionFactorRepository, organizationRepository, applicationContext);
  }

  @Override
  public UploadType getUploadType() {
    return UploadType.ENERGY;
  }
}
