package com.oguerreiro.resilient.service.mapper;

import org.mapstruct.Mapper;

import com.oguerreiro.resilient.activity.registry.ActivityProgressDescriptor;
import com.oguerreiro.resilient.service.dto.activity.ActivityProgressDTO;

/**
 * Mapper for the entity {@link ActivityProgressDescriptor} and its DTO {@link ActivityProgressDescriptorDTO}.
 */
@Mapper(componentModel = "spring")
public interface ActivityProgressMapper extends ResilientEntityMapper<ActivityProgressDTO, ActivityProgressDescriptor> {
}
