import { IOrganization } from 'app/entities/organization/organization.model';
import {ISecurityGroup} from 'app/security/security-group/security-group.model'

export class Account {
  constructor(
    public activated: boolean,
    public authorities: string[],
    public email: string,
    public firstName: string | null,
    public langKey: string,
    public lastName: string | null,
    public login: string,
    public imageUrl: string | null,
    public securityGroup: ISecurityGroup | null,
    public parentOrganization: IOrganization | null,
  ) {}
}
