import { IResilientEntity } from 'app/resilient/resilient-base/resilient-base.model';

// All Entities that are Activity enabled, must extend this interface.
export interface IActivityDomain extends IResilientEntity {
  // Marker property to check if a domain implements this interface
  // To check at runtime just do: <domain>.implementsIActivityDomain === true
  implementsIActivityDomain?: true;
  
  activityDomainClass?: string;
  activityProgressKey?: string;
  state?: any;
}

export interface MyInterface {
  marker: true; // Marker property
}